<template>
  <p :class="customClass"><slot /></p>
</template>

<script>
export default {
  name: 'Separator',
  props: {
    terms: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  computed: {
    customClass() {
      return this.terms
        ? 'auth__content-separator terms'
        : 'auth__content-separator'
    }
  }
}
</script>

<style lang="less" scoped>
.auth__content-separator {
  font-size: 16px;
  text-align: center;
  opacity: 0.8;
}

.terms {
  margin-bottom: 0;
  font-size: 1.4rem;
}
</style>
